/*
Scrivere un programma C che prende sulla linea di comando
una sequenza di numeri interi (la lunghezza della sequenza
non e'  nota a priori) e  li inserisce in un vettore che
verra' stampato a video.

Controllare l'esistenza della linea di comando. Ignorare
il controllo su parametri diversi da interi.

SUGGERIMENTO:
Per convertire una stringa contenente un intero in una
variabile di tipo int usare la funzione atoi() che
restituisce 0 quando la stringa non contiene cifre.

#include <stdlib.h>

int atoi( const char * str );

ESEMPIO di funzionamento:

$> programma 0 45 78 0 12
                  
genera il vettore |0|45|78|0|12|

$> programma 0 ciao 78 0 12

genera il vettore |0|0|78|0|12|

*/

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  int i;
  int *vett;

  if(argc == 1)
  {
    printf("Uso: %s lista di interi\n", argv[0]);
  }
  else
  {
    vett = (int *)malloc((argc-1)*sizeof(int));

    for(i=0; i<argc-1; i++)
    {
      vett[i] = atoi(argv[i+1]);
    }

    for(i=0; i<argc-1; i++)
    {
      printf("vett[%d]=%d\n",i, vett[i]);
    }
  }
}

